| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
IOLink.DataFrameViewExtension Class Reference

## Static Public Member Functions
static T | At< T > (this DataFrameView frame, uint column, uint row)
static T | At< T > (this DataFrameView frame, string column, uint row)
static void | SetAt< T > (this DataFrameView frame, uint column, uint row, T value)
static void | SetAt< T > (this DataFrameView frame, string column, uint row, T value)
static unsafe void | Read< T > (this DataFrameView frame, uint column, uint offset, uint count, T[] dst)
| Read values from a data frame's column.
static void | Read< T > (this DataFrameView frame, string column, uint offset, uint count, T[] dst)
| Read values from a data frame's column.
static unsafe void | Write< T > (this DataFrameView frame, uint column, uint offset, uint count, T[] src)
| Write values in a data frame's column.
static void | Write< T > (this DataFrameView frame, string column, uint offset, uint count, T[] src)
| Write values in a data frame's column.
static T[] | Read< T > (this DataFrameView frame, uint column, uint offset, uint count)
| Read values from a data frame's column.
static T[] | Read< T > (this DataFrameView frame, string column, uint offset, uint count)
| Read values from a data frame's column.

## Member Function Documentation

## ◆ Read< T >() [1/4]

static T[] IOLink.DataFrameViewExtension.Read< T > | ( | this DataFrameView | frame,
|  | string | column,
|  | uint | offset,
|  | uint | count
| ) |  |
| inline static

Read values from a data frame's column.

Template Parameters

  T | The type of values to read

Parameters

  frame | The data frame to read from
  column | The name of the colum to read values from
  offset | The first line to read values from
  count | the number of values to read

Returns
  An array containing the read values

Exceptions

  System.ArgumentException | When T is not compatible with column type, or when dst length is not enough to contain read data
  IOLink.Error | When the column index in invalid, offset is out of bounds, or it is impossible to read count elements.

## ◆ Read< T >() [2/4]

static void IOLink.DataFrameViewExtension.Read< T > | ( | this DataFrameView | frame,
|  | string | column,
|  | uint | offset,
|  | uint | count,
|  | T[] | dst
| ) |  |
| inline static

Read values from a data frame's column.

Template Parameters

  T | The type of values to read

Parameters

  frame | The frame to read from
  column | The name of the column to read values from
  offset | The index of the line from which the first value will be read
  count | The number of values that will be read
  dst | The buffer where values will be written

Exceptions

  System.ArgumentException | When T is not compatible with column type, or when dst length is not enough to contain read data
  IOLink.Error | When the column index in invalid, offset is out of bounds, it is impossible to read count elements, or the dst array is not well sized.

## ◆ Read< T >() [3/4]

static T[] IOLink.DataFrameViewExtension.Read< T > | ( | this DataFrameView | frame,
|  | uint | column,
|  | uint | offset,
|  | uint | count
| ) |  |
| inline static

Read values from a data frame's column.

Template Parameters

  T | The type of values to read

Parameters

  frame | The data frame to read from
  column | The index of the colum to read values from
  offset | The first line to read values from
  count | the number of values to read

Returns
  An array containing the read values

Exceptions

  System.ArgumentException | When T is not compatible with column type, or when dst length is not enough to contain read data
  IOLink.Error | When the column index in invalid, offset is out of bounds, or it is impossible to read count elements.

## ◆ Read< T >() [4/4]

static unsafe void IOLink.DataFrameViewExtension.Read< T > | ( | this DataFrameView | frame,
|  | uint | column,
|  | uint | offset,
|  | uint | count,
|  | T[] | dst
| ) |  |
| inline static

Read values from a data frame's column.

Template Parameters

  T | The type of values to read

Parameters

  frame | The frame to read from
  column | The index of the column to read values from
  offset | The index of the line from which the first value will be read
  count | The number of values that will be read
  dst | The buffer where values will be written

Exceptions

  System.ArgumentException | When T is not compatible with column type, or when dst length is not enough to contain read data
  IOLink.Error | When the column index in invalid, offset is out of bounds, it is impossible to read count elements, or the dst array is not well sized.

## ◆ Write< T >() [1/2]

static void IOLink.DataFrameViewExtension.Write< T > | ( | this DataFrameView | frame,
|  | string | column,
|  | uint | offset,
|  | uint | count,
|  | T[] | src
| ) |  |
| inline static

Write values in a data frame's column.

Template Parameters

  T | The type of values to write

Parameters

  frame | The data frame to write to
  column | The name of the column
  offset | The first line from which to write
  count | The number of values to write
  src | The values to write in the data frame

## ◆ Write< T >() [2/2]

static unsafe void IOLink.DataFrameViewExtension.Write< T > | ( | this DataFrameView | frame,
|  | uint | column,
|  | uint | offset,
|  | uint | count,
|  | T[] | src
| ) |  |
| inline static

Write values in a data frame's column.

Template Parameters

  T | The type of values to write

Parameters

  frame | The data frame to write to
  column | The index of the column
  offset | The first line from which to write
  count | The number of values to write
  src | The values to write in the data frame

Exceptions

  System.ArgumentException | When T is not compatible with column type, or when src length is less than the number of values in the region

///

Exceptions

  IOLink.Error | When the column index in invalid, offset is out of bounds, it is impossible to write count elements, or the src array is not well sized.

The documentation for this class was generated from the following file:

- wrapping/net/library/DataFrameViewExtension.cs